Package be.ehealth.businessconnector.hubv3.builders

# Class RequestBuilderFactory

java.lang.Object
be.ehealth.businessconnector.hubv3.builders.RequestBuilderFactory

public final class RequestBuilderFactory extends Object
Factory for all Builders that are necessary to create a request for eAttest. Creates a `RequestBuilderImpl`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_REQUESTBUILDER_CLASS`
  the default requestObjectBuilder implementation name.
  `static final String`
  `PROP_REQUESTBUILDER_CLASS`
  property name to set the desired implementation class for the request builder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RequestBuilderImpl`
  `getRequestBuilder()`
  Retrieve an instance of a `RequestBuilderImpl` implementation The implementation could be a custom class defined in the configuration file (property "hubv3.requestbuilder.class" ).

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_REQUESTBUILDER_CLASS

    public static final String PROP_REQUESTBUILDER_CLASS
    property name to set the desired implementation class for the request builder. this class must implement the correct interface.
    See Also:
      - Constant Field Values

  - ### DEFAULT_REQUESTBUILDER_CLASS

    public static final String DEFAULT_REQUESTBUILDER_CLASS
    the default requestObjectBuilder implementation name.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getRequestBuilder

    public static RequestBuilderImpl getRequestBuilder() throws TechnicalConnectorException
    Retrieve an instance of a `RequestBuilderImpl` implementation The implementation could be a custom class defined in the configuration file (property "hubv3.requestbuilder.class" ). By default, it would be "be.ehealth.businessconnector.hubv3.builders.impl.RequestBuilderImpl"
    Returns:
      `RequestBuilderImpl` the instance of the `RequestBuilderImpl`
    Throws:
      `TechnicalConnectorException`